Package wx :: Class QueryLayoutInfoEvent

[frames | no frames]

## Type QueryLayoutInfoEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    QueryLayoutInfoEvent

Proxy of C++ QueryLayoutInfoEvent class

Method Summary
QueryLayoutInfoEvent | `__init__(self, id)`
int | `GetAlignment(self)`
int | `GetFlags(self)`
int | `GetOrientation(self)`
int | `GetRequestedLength(self)`
Size | `GetSize(self)`
| `SetAlignment(self, align)`
| `SetFlags(self, flags)`
| `SetOrientation(self, orient)`
| `SetRequestedLength(self, length)`
| `SetSize(self, size)`

Property Summary
| `Alignment`: See `GetAlignment` and `SetAlignment`
| `Flags`: See `GetFlags` and `SetFlags`
| `Orientation`: See `GetOrientation` and `SetOrientation`
| `RequestedLength`: See `GetRequestedLength` and `SetRequestedLength`
| `Size`: See `GetSize` and `SetSize`
| `thisown`: The membership flag

Property Details

### Alignment

See `GetAlignment` and `SetAlignment`

  Get Method:
    `GetAlignment`(self)
  Set Method:
    `SetAlignment`(self, align)

### Flags

See `GetFlags` and `SetFlags`

  Get Method:
    `GetFlags`(self)
  Set Method:
    `SetFlags`(self, flags)

### Orientation

See `GetOrientation` and `SetOrientation`

  Get Method:
    `GetOrientation`(self)
  Set Method:
    `SetOrientation`(self, orient)

### RequestedLength

See `GetRequestedLength` and `SetRequestedLength`

  Get Method:
    `GetRequestedLength`(self)
  Set Method:
    `SetRequestedLength`(self, length)

### Size

See `GetSize` and `SetSize`

  Get Method:
    `GetSize`(self)
  Set Method:
    `SetSize`(self, size)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:40 2007 | http://epydoc.sf.net